function rotate() {
	var OBJECT = $(".carousel .active");
	$(".carousel .inactive").removeClass("inactive");
	OBJECT.attr("class", "inactive");
	if (OBJECT.next().size() <= 0) {
		$(".carousel li:eq(0)").addClass("active");
	} else {
		OBJECT.next().addClass("active");
	}
}

$(document).ready(function() {

	if (!Modernizr.input.placeholder) {
		$("input, textarea").each(function(){
			if(($(this).val() == "") && ($(this).attr("placeholder") != "")){
				$(this).val($(this).attr("placeholder"));
				$(this).addClass("fldEmpty");
			}
			$(this).focus(function(){
				if ($(this).val() == $(this).attr("placeholder")) {
					$(this).removeClass("fldEmpty");
					$(this).val("");
				}
			}).blur(function(){
				if ($(this).val() == "") {
					$(this).addClass("fldEmpty");
					$(this).val($(this).attr("placeholder"));
				}
			});
		});
	};

	$(".navigation a").click(function(event) {
		if ($(this).next().is(".subNav")) {
			event.preventDefault();
			var OBJECT = $(this);
			if (OBJECT.parent().is(".active")) {
				OBJECT.parent().removeClass("active")
			} else {
				OBJECT.parent().addClass("active")
			}
		}
	});

	$(".zoomLnk").click(function(event) {
		event.preventDefault();
		if (!($(this).is(".active"))) {
			$(".fullScreen").remove();
			if ($(this).parent(".cert").size() > 0) {
				var GALLERY = $(this).parents(".cert");
				GALLERY.find(".active").removeClass("active");
				$(this).addClass("active");
				$("<div class=\"fullScreen\"><img><a href=\"\" class=\"fSPrev\"></a><a href=\"\" class=\"fSNext\"></a><a href=\"\" class=\"fSClose\"></a></div>").appendTo("body");
			} else {
				$("<div class=\"fullScreen\"><img><a href=\"\" class=\"fSClose\"></a></div>").appendTo("body");
			}
			var URL = $(this).attr("href");
			if (!($(".shade").is(":visible"))) {
				$("<div class=\"shade\"></div>").appendTo("body");
				$(".shade").fadeIn(250);
			}
			$(".fullScreen").fadeIn(250, function() {
				$(this).css({ top: (Math.round($(window).height() / 2) + $(document).scrollTop()) + "px" });
				$(this).find("img").load(function() {
					var WIDTH = $(this).width();
					var HEIGHT = $(this).height();
					$(this).hide();
					$(this).css({ visibility: "visible" });
					$(".fullScreen").animate({ width: WIDTH + "px", height: HEIGHT + "px", margin: Math.round((-HEIGHT - 10) / 2) + "px 0 0 " + Math.round((-WIDTH - 10) / 2) + "px" }, 250, function() {
						$(this).find("img").fadeIn(250);
					});
				});
				$(this).find("img").attr("src", URL);
			});
		}
	});

	$(".fSNext, .fSPrev").live("click", function(event) {
		event.preventDefault();
		var GALLERY = $(".cert .active").parents(".cert");
		var OBJECT;
		if ($(this).is(".fSNext")) {
			if (GALLERY.find(".active").is(".cert a:last")) {
				OBJECT = GALLERY.find("a:eq(0)");
			} else {
				OBJECT = GALLERY.find(".active").parent().next().find("a");
			}
		} else {
			if (GALLERY.find(".active").is(".cert a:first")) {
				OBJECT = GALLERY.find("a:last");
			} else {
				OBJECT = GALLERY.find(".active").parent().prev().find("a");
			}
		}
		OBJECT.trigger("click");
	});

	$(".fSClose").live("click", function(event) {
		$(".shade").trigger("click");
	});

	$(".shade").live("click", function(event) {
		event.preventDefault();
		$(".shade").fadeOut(250, function() {
			$(this).remove();
		});
		$(".fullScreen").fadeOut(250, function() {
			$(this).remove();
		});
	});

	if ($(".carousel").size() > 0) {
		setInterval(rotate, 5000);
	}

});